package com.bonus.sgzb.common.core.enums;

/**
 * 任务类型枚举类
 */
public enum TaskTypeEnum {

    /**
     * 退料待报废
     */
    RETURNED_MATERIALS_TO_BE_SCRAPPED(20, "退料待报废"),
    /**
     * 退料待报废
     */
    REPAIR_TO_BE_SCRAPPED(21, "维修待报废"),
    /**
     *维修任务
     */
    MAINTENANCE_TASK(41, "维修任务"),
    /**
     * 报废任务
     */
    SCRAP_TASK(57, "报废任务");



    private final Integer code;
    private final String info;

    TaskTypeEnum(Integer code, String info) {
        this.code = code;
        this.info = info;
    }
    public Integer getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }



}
